Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::Extended_Key_Usage Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Extended_Key_Usage:

## Public Member Functions
Extended_Key_Usage * | copy () const override
| Extended_Key_Usage ()=default
| Extended_Key_Usage (const std::vector< OID > &o)
const std::vector< OID > & | get_oids () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

Extended Key Usage Extension

Definition at line 472 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( |  | ) |
| default

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( | const std::vector< OID > & | o | ) |
| inline explicit

Definition at line 479 of file x509_ext.h.

479 : m_oids(o) {}

## Member Function Documentation

Extended_Key_Usage* Botan::Cert_Extension::Extended_Key_Usage::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 475 of file x509_ext.h.

476 { return new Extended_Key_Usage(m_oids); }
Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage
Extended_Key_Usage()=default

const std::vector<OID>& Botan::Cert_Extension::Extended_Key_Usage::get_oids | ( |  | ) | const
| inline

Definition at line 481 of file x509_ext.h.

Referenced by Botan::PKCS10_Request::ex_constraints().

481 { return m_oids; }

OID Botan::Cert_Extension::Extended_Key_Usage::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 484 of file x509_ext.h.

484 { return static_oid(); }
Botan::Cert_Extension::Extended_Key_Usage::static_oid
static OID static_oid()
Definition: x509_ext.h:483

static OID Botan::Cert_Extension::Extended_Key_Usage::static_oid | ( |  | ) |
| inline static

Definition at line 483 of file x509_ext.h.

483 { return OID("2.5.29.37"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp